import { provideHttpClient } from '@angular/common/http';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { DialogModule } from '@progress/kendo-angular-dialog';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { CommonModule, DatePipe, DecimalPipe } from '@angular/common';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AlertComponent } from '../components/alert';
import { LogoutComponent } from './logout.component';
import { AppRoutesModule } from '../app.routes.module';
import { BreadcrumbService } from '../breadcrumb.service';
import { IdleMonitorService } from '../idleMonitor.service';
import { ServicesModule } from '../../providers/services.module';
import { FunctionService } from '../components/models/function.service';

describe('LogoutComponent', () =>
{
  beforeEach(waitForAsync(() =>
  {
    TestBed.configureTestingModule({
    imports: [
        BrowserAnimationsModule,
        AppRoutesModule,
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        AlertComponent,
        DialogModule,
        ServicesModule,
        LogoutComponent
    ],
    providers: [
        provideHttpClient(),
        DatePipe,
        DecimalPipe,
        FunctionService,
        BreadcrumbService,
        IdleMonitorService
    ]
}).compileComponents();
  }));
  it('Component created successfully...', waitForAsync(() =>
  {
    const fixture = TestBed.createComponent(LogoutComponent);
    fixture.detectChanges();
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));
});
